Method: findingsRefinements.create

Full name: projects.locations.instances.findingsRefinements.create

Creates a new findings refinement.

HTTP request

POST https://{endpoint}/v1beta/{parent}/findingsRefinements

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
parent

string

Required. The parent resource where this findings refinement will be created. Format: projects/{project}/locations/{location}/instances/{instance}

Request body

The request body contains an instance of FindingsRefinement.

Response body

If successful, the response body contains a newly created instance of FindingsRefinement.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle
  • https://www.googleapis.com/auth/chronicle.readonly

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • chronicle.findingsRefinements.create

For more information, see the IAM documentation.